Subject: bug#75322: SAFE_ALLOCA assumed to root Lisp_Objects/SSDATA(string)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jan 2025 09:57:54 +0200

> Cc: [email-masked]
> From: Gerd Möllmann <[email-masked]>
> Date: Sat, 04 Jan 2025 05:40:09 +0100
> 
> And today I see you reverted that commit. Is there something wrong with
> it? I couldn't see something wrong, and for me VALUE(no root) >
> VALUE(exact) VALUE(ambig).

That's my fault.  I asked to post the patch and discuss it before
committing, as these are delicate issues where I prefer that we all
are on the same page before changing this code.

> WRT Lisp_Object allocas, please tell if I should do that.

Let's discuss this on a case by case basis.  Not all uses of alloca
are the same or have the same requirements and restrictions.

> (I think this all could also be done on master, but since this is there
> forever, I don't think it's absolutely necessary. Agree?)

Exactly my point, which is why I think we should discuss these changes
before installing them on the branch, let alone on master.